Summary: P:SIX.1e capability suite
Name: libcap
Version: 1.10
Release: 12tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
Patch: libcap-1.10-ia64.patch
Patch1: libcap-1.10-alpha.patch
Patch2: libcap-1.10-shared.patch


%description
The POSIX.1e capability library for Linux. This package contains the
getcap and setcap binaries and manual pages.

%package devel
Summary: Header files and development dovumentation for libcap
Group: Trustix Official
Requires: %{name} = %{version}

%description devel
Header files and development dovumentation for libcap.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
make "COPTFLAGS=$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

make install \
	FAKEROOT=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

strip -s $RPM_BUILD_ROOT/lib/lib*so.*.*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,0755)
/lib/lib*.so.*.*
/sbin/*

%files devel
%defattr(644,root,root,0755)
%doc README
/lib/lib*.so
%{_mandir}/man[23]/*
%{_includedir}/sys/capability.h

%changelog
* Thu Apr 28 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.10-11tr
- Added shared patch

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> 1.10-10tr
- Rebuilt

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 1.10-9tr
- Added patches

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 1.10-6tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-5tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-4em
- Rebuilt against glibc 2.3.2.

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 1.10-3ct
- Minor .spec cleanu for tsl 2.0

* Tue Jun  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- Include .so in -devel package
- Set correct package groups

* Tue Mar 20 2001 Alexander Reelsen <ar at trustix dot com>
- Adapted for TSL
